org.keycloak.protocol.saml.preprocessor

## Interface SamlAuthenticationPreprocessor

- All Superinterfaces:
    Provider, ProviderFactory<SamlAuthenticationPreprocessor>

      public interface SamlAuthenticationPreprocessor
      extends Provider, ProviderFactory<SamlAuthenticationPreprocessor>

  Provider interface for SAML authentication preprocessing.
  Author:
    Gideon Caranzo

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default AuthnRequestType` | `beforeProcessingLoginRequest(AuthnRequestType authnRequest, AuthenticationSessionModel authSession)` Called before a login request is processed.
    `default StatusResponseType` | `beforeProcessingLoginResponse(StatusResponseType statusResponse, AuthenticationSessionModel authSession)` Called before a login response is processed.
    `default LogoutRequestType` | `beforeProcessingLogoutRequest(LogoutRequestType logoutRequest, UserSessionModel authSession, AuthenticatedClientSessionModel clientSession)` Called before a logout request is processed.
    `default AuthnRequestType` | `beforeSendingLoginRequest(AuthnRequestType authnRequest, AuthenticationSessionModel clientSession)` Called before a login request is sent.
    `default LogoutRequestType` | `beforeSendingLogoutRequest(LogoutRequestType logoutRequest, UserSessionModel authSession, AuthenticatedClientSessionModel clientSession)` Called before a logout request is sent.
    `default StatusResponseType` | `beforeSendingResponse(StatusResponseType statusResponse, AuthenticatedClientSessionModel clientSession)` Called before a response is sent back to the client.

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, getId, init, order, postInit`

- - ### Method Detail

    - #### beforeProcessingLoginRequest

          default AuthnRequestType beforeProcessingLoginRequest(AuthnRequestType authnRequest,
                                                                AuthenticationSessionModel authSession)

      Called before a login request is processed.

    - #### beforeProcessingLogoutRequest

          default LogoutRequestType beforeProcessingLogoutRequest(LogoutRequestType logoutRequest,
                                                                  UserSessionModel authSession,
                                                                  AuthenticatedClientSessionModel clientSession)

      Called before a logout request is processed.
      Parameters:
        `clientSession` - can be null if client is not applicable (e.g. when used within identity broker)

    - #### beforeSendingLoginRequest

          default AuthnRequestType beforeSendingLoginRequest(AuthnRequestType authnRequest,
                                                             AuthenticationSessionModel clientSession)

      Called before a login request is sent.

    - #### beforeSendingLogoutRequest

          default LogoutRequestType beforeSendingLogoutRequest(LogoutRequestType logoutRequest,
                                                               UserSessionModel authSession,
                                                               AuthenticatedClientSessionModel clientSession)

      Called before a logout request is sent.
      Parameters:
        `clientSession` - can be null if client is not applicable (e.g. when used within identity broker)

    - #### beforeProcessingLoginResponse

          default StatusResponseType beforeProcessingLoginResponse(StatusResponseType statusResponse,
                                                                   AuthenticationSessionModel authSession)

      Called before a login response is processed.

    - #### beforeSendingResponse

          default StatusResponseType beforeSendingResponse(StatusResponseType statusResponse,
                                                           AuthenticatedClientSessionModel clientSession)

      Called before a response is sent back to the client.

Copyright © 2020 JBoss by Red Hat. All rights reserved.